[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TPropertyToSkip

Contains information about a property omitted from LCL component streaming.

## Declaration

Source position: lresources.pp line 441

`type TPropertyToSkip = record`
`PersistentClass: TPersistentClass;` |  | Class type for the persistent object with the omitted property.
`PropertyName: string;` |  | Name for the omitted property.
`Note: string;` |  | A note about the omitted property.
`HelpKeyword: string;` |  | Help keyword for the omitted property.
`end;`

## Description

TPropertyToSkip is a record type with information about a property in a persistent class that is omitted during LCL component streaming. TPropertyToSkip is the type maintained in the TPropertiesToSkip list when the RegisterPropertyToSkip routine is called.